using adas_core.Application.Subscriptions;
using MongoDB.Bson;

namespace adas_core.Application.Services.Interfaces;

public interface ISubscribersService
{
    List<WsSubscriber> GetSubscribers();
    WsSubscriber? GetById(string contextConnectionId);
    List<WsSubscriber> GetByPocId(ObjectId pocId);
    int RemoveConnectionById(string contextConnectionId);
    void AddSubscriber(WsSubscriber subscriber);
}